%Nodes_h5IL.m

n=1;
  Node(n).type      = 'Initial';
  Node(n).nextnode  = n+1;
  Node(n).lpar      = 0.05;
  Node(n).rpar      = 0.05;

n=2;
  Node(n).type      = 'Basepair';
  Node(n).nextnode  = n+1;
  Score             = pIsoScore(1,1,2,0.02);
  Node(n).P         = ones(17,1)*Score;
  Node(n).PIns	    = Score;
  Node(n).lpar      = [0.01*ones(16,1); 0];
  Node(n).rpar      = [0.01*ones(16,1); 0];

n=3;
  Node(n).type      = 'Motif';
  Node(n).nextnode  = n+1;
  Node(n).P         = [0.05*ones(17,1) 0.95*ones(17,1)];
  Node(n).PIns	    = [0.05 0.95];
  %%%%%%%%%%%
  Node(n).Left(1,:) = [1 2];
  Node(n).LIP       = [1];
  Node(n).Right(1,:)= [1];
  Node(n).RIP       = [1];
  Node(n).IBases(1,:)  = [1 3];
  Node(n).Score(:,:,1) = pIsoScore(1,2,3);
  Node(n).IBases(2,:)  = [2 3];
  Node(n).Score(:,:,2) = pIsoScore(10,1,3);
  
n=4;
  Node(n).type      = 'Basepair';
  Node(n).nextnode  = n+1;
  Score             = pIsoScore(1,4,1,0.01);
  Node(n).P         = ones(1,1)*Score;
  Node(n).PIns	    = Score;
  Node(n).lpar      = [0.01*ones(16,1); 0];
  Node(n).rpar      = [0.01*ones(16,1); 0];

n=5;
  Node(n).type      = 'Hairpin';
  Node(n).subtype   = '....';
  Node(n).nextnode  = Inf;
  Node(n).P         = ones(17,1);
  Node(n).PIns      = 1;

